summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJorge Manuel B. S. Vicetto (jmbsvicetto) <jmbsvicetto@gentoo.org>2017-06-20 01:13:56 +0000
committerJorge Manuel B. S. Vicetto (jmbsvicetto) <jmbsvicetto@gentoo.org>2017-06-20 01:14:23 +0000
commitb7cef135bc849503675c6f194a37a40db7916c25 (patch)
tree8bbd7ae34585697f1720714d1cee3cef6c213ea3
parentnet-print/hplip-plugin: Version bump to 3.17.6 (diff)
downloadgentoo-b7cef135bc849503675c6f194a37a40db7916c25.tar.gz
gentoo-b7cef135bc849503675c6f194a37a40db7916c25.tar.bz2
gentoo-b7cef135bc849503675c6f194a37a40db7916c25.zip
dev-db/phpmyadmin: Add 4.7.1 release.
Package-Manager: Portage-2.3.5, Repoman-2.3.2
-rw-r--r--dev-db/phpmyadmin/Manifest1
-rw-r--r--dev-db/phpmyadmin/phpmyadmin-4.7.1.ebuild61
2 files changed, 62 insertions, 0 deletions
diff --git a/dev-db/phpmyadmin/Manifest b/dev-db/phpmyadmin/Manifest
index cf23498d925..c6650b7e031 100644
--- a/dev-db/phpmyadmin/Manifest
+++ b/dev-db/phpmyadmin/Manifest
@@ -1,2 +1,3 @@
DIST phpMyAdmin-4.0.10.20-all-languages.tar.xz 4323896 SHA256 16595dd62c8256caa999beb722d793674da86054e117b9968f82352d84233b24 SHA512 e1d8b8a503eaa19a090d24d5ad011241aab06c2767138424d875edd82a868b4ebcdf5bba154b7eefef23b41d1949dcd021defe17e9047d0bf5fcfd0d6a5f4d27 WHIRLPOOL 80983dbeeca9cf1a279c35c652f4c5c0f239ba2aa9456a0707a1686b1f0322a949cd42fa8d949efce1d9e849ee3030c8487faccc79c1f65458ac73b205f119a6
DIST phpMyAdmin-4.7.0-all-languages.tar.xz 7600296 SHA256 6378d1f45f5356fda2d18a923c56a495e03bc1e7694e7b7c004dd688d2178f90 SHA512 03f3b56d3fed846e8e27e38a1bf32175b267a3cc2784ee499b64a48b6a37f0352302a9c150e1db1c99f633aabd8a373a834ad7ab2b694146b0ac13dd05bd27e3 WHIRLPOOL b7c65a1e47ef0358057052ca9d5b0a4a40f17157ba8b711b6c54b3e3a244da50b23840f67def30c13fabd0b4be7b03785dbbd69a31fa27cece19f256acbf4af2
+DIST phpMyAdmin-4.7.1-all-languages.tar.xz 5665344 SHA256 f94ed0fc5df38e049746e40852135bf55b9af0fd9fcee07f175919c463ad58a5 SHA512 583ad8c8ee871fedd4df79e49845554f2f6182a343439fff8f91f61428964a85f3305590792096ede95a2ea675f065a4a4cdee31d365c03d2cc3aa721b0aeb6e WHIRLPOOL 9fbb781dac0087eb2100e213f2e4c2048a0358f0272fa4f05105ac7fa50333e617376f9580adcc11e8c8d269b6b8cc7dbb4d7c6c0050f9224fa4892261315c49
diff --git a/dev-db/phpmyadmin/phpmyadmin-4.7.1.ebuild b/dev-db/phpmyadmin/phpmyadmin-4.7.1.ebuild
new file mode 100644
index 00000000000..80ad74d42a8
--- /dev/null
+++ b/dev-db/phpmyadmin/phpmyadmin-4.7.1.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="5"
+
+inherit eutils webapp
+
+MY_PV=${PV/_/-}
+MY_PN="phpMyAdmin"
+MY_P="${MY_PN}-${MY_PV}-all-languages"
+
+DESCRIPTION="Web-based administration for MySQL database in PHP"
+HOMEPAGE="https://www.phpmyadmin.net/"
+SRC_URI="https://files.phpmyadmin.net/${MY_PN}/${MY_PV}/${MY_P}.tar.xz"
+
+LICENSE="GPL-2"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~ppc-macos ~x64-macos ~x86-macos"
+IUSE="setup"
+
+RDEPEND="
+ dev-lang/php[crypt,ctype,filter,json,session,unicode]
+ || (
+ dev-lang/php[mysqli]
+ dev-lang/php[mysql]
+ )
+ virtual/httpd-php:*
+"
+
+need_httpd_cgi
+
+S="${WORKDIR}"/${MY_P}
+
+pkg_setup() {
+ webapp_pkg_setup
+}
+
+src_install() {
+ webapp_src_preinst
+
+ dodoc README RELEASE-DATE-${MY_PV} ChangeLog || die
+ rm -f LICENSE README* RELEASE-DATE-${MY_PV}
+
+ if ! use setup; then
+ rm -rf setup || die "Cannot remove setup utility"
+ elog "The phpMyAdmin setup utility has been removed."
+ elog "It is a regular target of various exploits. If you need it, set USE=setup."
+ else
+ elog "You should consider disabling the setup USE flag"
+ elog "to exclude the setup utility if you don't use it."
+ elog "It regularly is the target of various exploits."
+ fi
+
+ insinto "${MY_HTDOCSDIR#${EPREFIX}}"
+ doins -r .
+
+ webapp_configfile "${MY_HTDOCSDIR#${EPREFIX}}"/libraries/config.default.php
+ webapp_serverowned "${MY_HTDOCSDIR#${EPREFIX}}"/libraries/config.default.php
+
+ webapp_postinst_txt en "${FILESDIR}"/postinstall-en-3.1.txt
+ webapp_src_install
+}